# Git
alias g "git"
alias gc "git clone"
alias gd "git diff --ignore-space-at-eol"
alias gds "git diff --ignore-space-at-eol --compact-summary"
alias gl "git log --oneline"
alias gp "git pull"
alias gs "git status"
alias home "git --git-dir=$HOME/.home/ --work-tree=$HOME"
alias homeinit "git clone --bare https://git.urbach.dev/eduard/home $HOME/.home && home checkout"
alias h "home"
alias hs "home status"
alias hd "home diff --ignore-space-at-eol"
alias hds "home diff --ignore-space-at-eol --compact-summary"
alias hp "home pull"

# Go
alias gb "go build -v"
alias godeps "go list -f '{{ join .Deps \"\n\"}}' ."
alias gt "go test -v"
alias gts "gotestsum"

# Hyperfine
alias bench "hyperfine --shell=none"

# Kernel
alias kerr "sudo dmesg --level=emerg,alert,crit,err"
alias klog "sudo dmesg"

# List
alias l "ls"
alias ll "ls -l"
alias l2 "ls -T -L2"
alias lu "ls -l --total-size --sort=size --reverse --no-permissions --no-user --no-time"
alias lp "ls -l --no-filesize --no-time"

# Netstat
alias tcp "sudo netstat -tpen"
alias udp "sudo netstat -upen"
alias tcps "sudo netstat -tlpen"
alias udps "sudo netstat -ulpen"
alias servers "sudo netstat -tulpen"

# MPV
alias m "mpv music --shuffle --no-video"

# Neovim
alias e nvim

# Pacman
if command -q apk
	alias p "apk"
	alias pi "sudo apk add"
	alias pr "sudo apk del"
	alias ps "sudo apk search"
	alias pu "sudo apk update && sudo apk upgrade"
	alias pl "apk info"
	alias po "apk info --who-owns"
else if command -q pacman
	alias p "pacman"
	alias pi "sudo pacman -S"
	alias pr "sudo pacman -Rs"
	alias ps "pacman -Ss"
	alias pu "sudo pacman -Syu"
	alias pl "pacman -Qq"
	alias po "pacman -Qo"
	alias pe "pacman -Qe"
	alias pf "pacman -Ql"
	alias pc "yay -Scc"
	alias pco "yay -Rs (pacman -Qtdq)"
	alias paur "pacman -Qm"
end

# Sudo
if command -q doas
	alias s "doas"
	alias sudo "doas"
else
	alias s "sudo"
end

# Systemctl
if command -q service
	alias services "service -l"
else if command -q systemctl
	alias start "sudo systemctl start"
	alias stop "sudo systemctl stop"
	alias enable "sudo systemctl enable"
	alias disable "sudo systemctl disable"
	alias restart "sudo systemctl restart"
	alias running "systemctl list-units --type=service --state=running"
	alias disabled "systemctl list-unit-files --type=service --state=disabled"
	alias enabled "systemctl list-unit-files --type=service --state=enabled"
	alias timers "systemctl list-timers"
	alias bios "systemctl reboot --firmware-setup"
end

# Tmux
alias ta "tmux attach"
alias td "tmux detach"
alias tl "tmux ls"
alias tk "tmux kill-server"

# ...
alias ai "sudo systemctl start ollama && sleep 1 && ollama run gemma3:27b"
alias align "column -t -o ' '"
alias c "rg --files | xargs fnl --remove"
alias cfg "config"
alias cls "clear"
alias debug "blinkenlights"
alias disasm "llvm-objdump --disassembler-color=on --x86-asm-syntax=intel -d"
alias ff "fastfetch"
alias fn "rg --files | rg"
alias hex "hexdump -C"
alias irc "senpai"
alias log "journalctl"
alias utc "date -u +'%Y-%m-%dT%H:%M:%SZ'"
alias dl "yt-dlp -x -f bestaudio"
alias mirror "wget --mirror --page-requisites --adjust-extension --no-parent --convert-links"
alias perfstats "perf stat -etask-clock,context-switches,cpu-migrations,page-faults,cycles,branches,branch-misses,instructions,uops_issued.any,uops_executed.thread,idq_uops_not_delivered.core"